# CodeGenie

A simple code generator to start an angular project by creating components, layouts, services and routes within a minute.
It also generates Electron app boilerplate. It is growing ...


## Install

```bash
npm i -g codegenie
```

## Usage

<table>
    <thead>
        <tr>
            <th>Framework</th>
            <th>Module</th>
            <th>Shortcut</th>
            <th>example</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td rowspan='4'>Angular [ng]</td>
            <td>Component</td>
            <td>c</td>
            <td>codegenie ng c navbar,sidebar,dashboard</td>
        </tr>
        <tr>
            <td>Layout</td>
            <td>l</td>
            <td>codegenie ng l admin,public</td>
        </tr>        
        <tr>
            <td>Router</td>
            <td>r</td>
            <td>codegenie ng r admin,public</td>
        </tr>
        <tr>
            <td>Service</td>
            <td>s</td>
            <td>codegenie ng s user,product,order,category</td>
        </tr>
        <tr>
            <td>Electron [el]</td>
            <td>Boilerplate</td>
            <td>b</td>
            <td>codegenie el b testapp "john doe" johndoe@gmail.com</td>
        </tr>
        <tr>
            <td>Javascript [js]</td>
            <td>Boilerplate</td>
            <td>new</td>
            <td>codegenie js new testapp "john doe" johndoe@gmail.com</td>
        </tr>
    </tbody>
</table>


<h2>For Angular App</h2>

<code>Components</code>

```bash
$ codegenie ng c admin/navbar,sidebar,dashboard,area,order,category,product
```

It will create all those <code>components</code> into <code>admin</code> directory and will register them in app.module.ts. 
You you not provide folder name it will create component into root directory. You can also nested 
multiple sub directories by seperating them using forward slashes.

<code>Layouts</code>
```bash
$ codegenie ng l admin,client,public
```
It will create all those layouts into layout directory and will register them in app.module.ts

<code>Services</code>
```bash
$ codegenie ng s user,area,product,category,order
``` 
It will create all those services into service directory and will register them in app.module.ts

<code>Routes</code>
```bash
$ codegenie ng r admin,client,public
```
It will create all those routes into routes directory and will register them in app.module.ts



<h2>For Electron App</h2>

```bash
$ codegenie el b app_name author_name email
```
To generate electron app boilerplate


<h2>For Javascript App</h2>

```bash
$ codegenie js new app_name author_name email
```
To generate javascript app boilerplate


## License

[MIT]