const electron = require('electron');
const app = electron.app;
const browserWindow = electron.BrowserWindow;

const path = require('path');
const url = require('url');

var mainWindow = null;


app.on('ready', function(){

	mainWindow = new browserWindow({
		width:800,height:500,
		center:true,
		resizable:true,
		icon: __dirname + '/assets/img/icon.ico'
	});

	mainWindow.loadURL(url.format({
		pathname: path.join(path.join(__dirname,"templates"),'index.html'),
		protocol: 'file:',
		slashes:true
	}));

	mainWindow.on('closed', ()=> {
		mainWindow = null;
	});

});


app.on('window-all-closed', ()=> {
	if(process.platform !== 'darwin'){
		app.quit();
	}
});